


barco.x = 0;

barco.onUpdate = function(data){
    console.debug("got update!! : "+String(data));
};

Ext.setup({
    onReady: function() {
        "use strict";
        var b = document.getElementById("firstbutton");
        b.addEventListener("click", function(){
            console.debug("clicked!!"+String(barco.x));
            barco.x += 1;
        }, false);
        
        var b2 = document.getElementById("secondbutton");
        b2.addEventListener("click", function(){
            if(window.supercore===undefined){
                console.debug("no supercore!!!!");
                return;
            }
            
            console.debug("sending to Qt");
            barco.connection.sendQt(new barco.connection.message ({
                data: "Hey dude!!",
                success: function(resp, respCode){
                    console.debug("success: got response code from qt: "+String(respCode))
                },
                failure: function(resp, respCode){
                    console.debug("failure: got response code from qt: "+String(respCode))
                }
            }));
        }, false);
        if(window.supercore !== undefined) {
            supercore.msgProcessedSignal.connect(barco.connection.responseFromQt);
            supercore.updateSignal.connect(barco.onUpdate);
        } else {
            console.log("swiper swiped the supercore.");
        }
    }
});

