

Ext.define('PrePro.controller.FrontPanelControlMobile', {
    extend: 'PrePro.controller.FrontPanelControl',
    config: {
        refs: {
            //attribute    //selector
            frontPanel: 'frontpanel'
        }   
    },
    init: function() {
        var me = this;
        this.callParent(arguments);
        this.control({
            'button': {
                tap: function(btn) {
                    if(btn.id === 'key_take') {
                        btn.addCls('flashred');
                    }
                    me.onViewKeyPressed(btn.id);
                }
            }
        });
    },
    controllerSetDisplayData: function(converted) {
        this.getFrontPanel().setVFDText(converted);
    },
    controllerSetLedData: function(converted) {
        this.getFrontPanel().setLedState(converted);
    }
});



