
if(window.console === undefined) {
    //dummy console.log to make IE happy.
    window.console = {log: function(){}};
}

Ext.Loader.setConfig({
     enabled : true, //enable the dynamic dependency loading feature
     disableCaching : false //Comment this line out when you need to reload your Extjs js files
 });
 
Ext.application({
    name: "Muc",
    appFolder: "app",
    requires: [
        'Ext.form.Panel',
        'Ext.form.FieldSet',
        'Ext.layout.container.Column',
        'Ext.tab.Panel',
        'Muc.view.Viewport'
    ],
    launch: function() {
        console.log('launch');
        Ext.create('Muc.view.Viewport', {renderTo: Ext.getBody()})
    },
    controllers: ['Muc.controller.Muc']
});
