/**
 * Grid panel for showing discovered units
 */
Ext.define('Muc.view.DiscoveryV', {
    extend: 'Ext.grid.Panel',
    requires: ['Ext.grid.plugin.DragDrop'],
    store: 'DiscoveryS',
    alias: 'widget.discovery',
//    frame: true,
    multiSelect: true,
    viewConfig: {
        plugins: {
            ptype: 'gridviewdragdrop',
            dragText: 'Drag to Control'
        }
    },
    columns: [
        {
            text: 'Hostname',
            dataIndex: 'hostname'
        }, {
            text: 'Type',
            flex: 1,
            dataIndex: 'type'
        }, {
            text: 'IP',
            dataIndex: 'ip-address'
        }
    ],
    buttons: [
        {
            text: 'Discover',
            action: 'discover'
        },
        {
            xtype: 'tbfill'
        },
        {
            text: 'Add',
            action: 'add'
        }
    ]
});

