/**
 * Form to edit a unit
 */
Ext.define('Muc.view.UnitEdit', {
    extend: 'Ext.form.Panel',
    alias: 'widget.UnitEdit',
//    frame: true,
    items: 
    {
        xtype: 'fieldset',
        title: 'Unit Details',
        defaults: {
            anchor: '100%'
        },
        items: [
            {
                xtype: 'textfield',
                name: 'name',
                fieldLabel: 'Unit Name'
            },
            {
                xtype: 'textarea',
                grow: true,
                name: 'description',
                fieldLabel: 'Description',
                height: 100
            },
            {
                xtype: 'textfield',
                name: 'ip-address',
                fieldLabel: 'IP'
            }
        ]
    }, 
    buttons: [
        {
            text: 'Update',
            action: 'update'
        }
    ]
});
