
Ext.ns("ip2");
ip2.MainAppIP2 = function(conf) {

    var masterPanelConf = {};

    if (conf && conf.masterPanelConf) {
        masterPanelConf = conf.masterPanelConf;
    }

    ip2.masterPanel_inst = new ip2.MasterPanel(masterPanelConf);


    //-------------------details panel -----------------------------------------
    DetailsPanel = function(conf) {

        config = {
            id: 'details-panel',
            layout: 'fit',
            title: 'Details'
        };

        Ext.apply(config, conf || {});

        DetailsPanel.superclass.constructor.call(this, config);
    };

    Ext.extend(DetailsPanel, Ext.Panel);
    //-------------------details panel -----------------------------------------

    var detailsPanelConf = {};

    if (conf && conf.detailsPanelConf) {
        detailsPanelConf = conf.detailsPanelConf;
    }

    var detailsPanel = new DetailsPanel(detailsPanelConf);


    //------------------------NavPanel------------------------------------------
    NavPanel = function(conf) {

        config = {
            title: 'Navigation',
            region: 'west',
            margins: '5 0 5 5',
            cmargins: '5 5 5 5',
            width: 200,
            minSize: 100,
            maxSize: 300
        };

        Ext.apply(config, conf || {});

        NavPanel.superclass.constructor.call(this, config);
    };

    Ext.extend(NavPanel, Ext.Panel);
    //------------------------NavPanel------------------------------------------
    

    var navPanelConf = {};

    if (conf && conf.navPanelConf) {
        navPanelConf = conf.navPanelConf;
    }

    var navPanel = new NavPanel(navPanelConf);

    Ext.getCmp('inbox-tree').on('click', function(n) {
        //card layout select is done here
        var sn = this.selModel.selNode || {}; // selNode is null on initial selection
        if(n.id && n.id != sn.id) {  // ignore clicks on currently selected node
            var currActive = Ext.getCmp(n.text+"-panel");
            if(currActive != null) {
                Ext.getCmp('masterPanel').layout.setActiveItem(currActive);
                currActive.doLayout();
            }
//            if(!detailEl){
//                var bd = Ext.getCmp('details-panel').body;
//                bd.update('').setStyle('background','#fff');
//                detailEl = bd.createChild(); //create default empty div
//            }
//            detailEl.hide().update(Ext.getDom(n.id+'-details').innerHTML).slideIn('l', {stopFx:true,duration:.2});
        }
    });


    //-------------A top level panel that contains master/details panel---------
    MasterDetailsCnt = function(conf) {

        config = {
            layout: 'border',
            region: 'center',
            collapsible: true,
            //collapsed: true,
            border: false,
            margins: '5 5 5 0',
            id: 'main-view',
            hideMode: 'offsets',
            items: [
                ip2.masterPanel_inst,
                {
                id: 'bottom-details',
                layout: 'fit',
                height: 200,
                split: true,
                border: false,
                region: 'south',
                hidden: true
            }, {
                id: 'right-details',
                layout: 'fit',
                border: false,
                region: 'east',
                width: 200,
                split: true,
                hidden: false,
                items: detailsPanel
            }]
        };

        Ext.apply(config, conf || {});

        MasterDetailsCnt.superclass.constructor.call(this, config);

    };

    Ext.extend(MasterDetailsCnt, Ext.Panel);

    //-------------MasterDetailsCnt---------------------------------------------

    var masterDetailsCntConfig = {};

    if (conf && conf.masterDetailsCntConfig) {
        masterDetailsCntConfig = conf.masterDetailsCntConfig;
    }

    var masterDetailsCnt = new MasterDetailsCnt(masterDetailsCntConfig);

    config = {
        layout: 'border',
        defaults: {
            collapsible: true,
            split: true
        },
        items: [{
            xtype: 'box',
            el: 'app-footer',
            height: 40,
            region: 'south'
        },
        navPanel, masterDetailsCnt]

    };

    if (conf) {
        Ext.apply(config, conf);
    }

    ip2.MainAppIP2.superclass.constructor.call(this, config);
};
